import { Controller, DefaultValuePipe, Delete, Get, Param, ParseIntPipe, Post, Query } from '@nestjs/common';
import { GroupsService } from './groups.service';
import { ISearchQuery } from 'apps/backend/src/app/groups/groups.types';

@Controller('groups')
export class GroupsController {
  constructor(private readonly groupsService: GroupsService) {}

  //GET all groups with limit and offset + optional search
  @Get()
  async findMany(
    @Query("limit", new DefaultValuePipe(20), ParseIntPipe) limit: number,
    @Query("offset", new DefaultValuePipe(0), ParseIntPipe) offset: number,
    @Query("search", new DefaultValuePipe("")) search: string
  ) {
    const query = {limit, offset, search}

  }

  //POST a new group
  @Post("new")
  async newGroup() {

  }

  //DELETE a group
  @Delete(":groupId")
  async deleteGroup(@Param('groupId') groupId: string) {

  }

  //GET files associated to group with limit and offset
  @Get(":groupId")
  async getForGroup(
    @Query("limit", new DefaultValuePipe(20), ParseIntPipe) limit: number,
    @Query("offset", new DefaultValuePipe(0), ParseIntPipe) offset: number,
    @Query("search", new DefaultValuePipe("")) search: string,
    @Param('groupId') groupId: string
    ) {
    const query = {limit, offset, search}

  }
}
