"use client"
import { useState } from 'react';
import { Button } from '../components/ui/button';
import { Home } from 'lucide-react';



export enum ESubPage {
  Home,
  Documentation,
}

export default function HomePage() {
  const [currentSubPage, setCurrentSubPage] = useState<ESubPage>(0)
  return (
    <main className="w-full h-full bg-background border border-muted p-2 rounded-md flex flex-row justify-stretch items-stretch">
      <div className={"w-1/5 h-full p-1 flex flex-col items-center"}>
        <SubPageSelector/>
      </div>
      <SubPage currentSubPage={currentSubPage}/>
    </main>
  );
}

function SubPageSelector() {
  return (
    <div className={"w-full flex flex-col justify-center items-stretch pt-4 p-4 gap-2"}>
      <Button className={"gap-1 font-bold"}>
        <Home/>
        Accueil
      </Button>
      <Button>Documentation</Button>
    </div>
  )
}

export interface ISubPageProps {
  currentSubPage: ESubPage
}

function SubPage(props: ISubPageProps) {
  switch (props.currentSubPage) {
    case ESubPage.Home:
      return (<>Home</>)
    case ESubPage.Documentation:
      return (<>Doc</>)
    default:
      return (<>Default</>)
  }
}
